mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

This class makes a link demand. A security exception is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Provides several methods for using and publishing remoted objects in SOAP format.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  The current method is used by the .NET Framework and the SoapSuds tool to create an XML namespace name for a common language runtime object type.

  For more information about SoapSuds, see [<topic://cpgrfsoapsudsutilitysoapsudsexe>].

  Returns the common language runtime type namespace name from the provided namespace and assembly names.

  The common language runtime type namespace name from the provided namespace and assembly names.

  The namespace that is to be coded. The name of the assembly that is to be coded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added: an object of type 'Type' To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'Type&' To be added: an object of type 'string&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added: an object of type 'Type' To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'Type&' To be added: an object of type 'string&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  The current method returns values set up through and .

  Retrieves the that should be used during deserialization of an unrecognized object type with the given XML element name and namespace.

  The of object associated with the specified XML element name and namespace.

  The XML element name of the unknown object type. The XML namespace of the unknown object type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  The current method returns values set up through and .

  Retrieves the object that should be used during deserialization of an unrecognized object type with the given XML type name and namespace.

  The of object associated with the specified XML type name and namespace.

  The XML type of the unknown object type. The XML type namespace of the unknown object type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  If the given has not been registered with any SOAPAction value, the method returns the SOAPAction automatically cached with the .

  Returns the SOAPAction value associated with the method specified in the given .

  The SOAPAction value associated with the method specified in the given .

  The that contains the method for which a SOAPAction is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added: an object of type 'Type' To be added: an object of type 'string&' To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Retrieves the XML namespace used during remote calls of the method specified in the given .

  The XML namespace used during remote calls of the specified method.

  The of the method for which the XML namespace was requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Retrieves the XML namespace used during the generation of responses to the remote call to the method specified in the given .

  The XML namespace used during the generation of responses to a remote method call.

  The of the method for which the XML namespace was requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added: an object of type 'Type' To be added: an object of type 'string&' To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current method is used by the SoapSuds tool to determine whether an XML namespace represents a common language runtime type or a type from a non-common language runtime system.

  For more information about SoapSuds, see [<topic://cpgrfsoapsudsutilitysoapsudsexe>].

  Returns a Boolean value that indicates whether the specified namespace is native to the common language runtime.

  true if the given namespace is native to the common language runtime; otherwise, false.

  The namespace to check in the common language runtime.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added

  Determines if the specified SOAPAction is acceptable for a given .

  true if the specified SOAPAction is acceptable for a given ; otherwise, false.

  The SOAPAction to check against the given . The the specified SOAPAction is checked against.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  When the .NET Framework is parsing an XML stream, it needs to know how to convert the XML read from the stream into common language runtime types. The information that specifies how the .NET Framework should generate and parse an XML stream is stored in custom attributes that are located in the namespace. There are two ways to specify this information in a configuration file: either by explicitly specifying the mappings, or by specifying which object types to preload. The custom attributes are read during the preloading process and the information in them is made available to the SOAP parser.

  Preloads every found in the specified from the information found in the associated with each type.

  The for each type of which to call .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  When the .NET Framework is parsing an XML stream, it needs to know how to convert the XML read from the stream into common language runtime types. The information that specifies how the .NET Framework should generate and parse an XML stream is stored in custom attributes that are located in the namespace. There are two ways to specify this information in a configuration file: either by explicitly specifying the mappings, or by specifying which object types to preload. The custom attributes are read during the preloading process and the information in them is made available to the SOAP parser.

  Preloads the given based on values set in a on the type.

  The to preload.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Associates the given XML element name and namespace with a run-time type that should be used for deserialization.

  The XML element name to use in deserialization. The XML namespace to use in deserialization. The run-time to use in deserialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Associates the given XML type name and namespace with the run-time type that should be used for deserialization.

  The XML type to use in deserialization. The XML namespace to use in deserialization. The run-time to use in deserialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The SOAPAction of the specified method is contained in the property, or is read off the wire. The current method associates the SOAPAction with the for use in channel sinks.

  The SOAPAction HTTP request header field indicates the intent of the SOAP HTTP request. The value is a URI identifying the intent. SOAP places no restrictions on the format or specificity of the URI or that it is resolvable. An HTTP client must use this header field when issuing a SOAP HTTP request.

  Associates the specified with the SOAPAction cached with it.

  The of the method to associate with the SOAPAction cached with it.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The SOAPAction HTTP request header field indicates the intent of the SOAP HTTP request. The value is a URI identifying the intent. SOAP places no restrictions on the format or specificity of the URI or that it is resolvable. An HTTP client must use this header field when issuing a SOAP HTTP request.

  Associates the provided SOAPAction value with the given for use in channel sinks.

  The to associate with the provided SOAPAction. The SOAPAction value to associate with the given .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  WSDL and SOAP protocols encode common language runtime classes into XML namespaces. The current property specifies the format for the XML namespaces. All XML namespaces for a common language runtime class start with the that the current property returns.

  Gets the XML namespace prefix for common language runtime types.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  WSDL and SOAP protocols encode common language runtime classes into XML namespaces. The current property specifies the format for the XML namespaces. If a common language runtime class has an assembly but no namespace, the current property returns the default XML namespace that is used.

  Gets the default XML namespace prefix that should be used for XML encoding of a common language runtime class that has an assembly, but no native namespace.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  WSDL and SOAP protocols encode common language runtime classes into XML namespaces. The current property specifies the format for the XML namespaces. If a common language runtime class is part of the mscorlib assembly, the XML namespace returned by the current property is used.

  Gets the XML namespace prefix that should be used for XML encoding of a common language runtime class that is part of the mscorlib.dll file.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  WSDL and SOAP protocols encode common language runtime classes into XML namespaces. The current property specifies the format for the XML namespaces. If a common language runtime class has an assembly and a common language runtime namespace, the current property returns the default XML namespace that is used.

  Gets the default XML namespace prefix that should be used for XML encoding of a common language runtime class that has both a common language runtime namespace and an assembly.